Move provider file
curl --request POST \
--url https://api.veryfront.com/providers/{provider}/files/{file_id}/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"new_parent_id": "<string>",
"new_name": "<string>"
}
'import requests
url = "https://api.veryfront.com/providers/{provider}/files/{file_id}/move"
payload = {
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"new_parent_id": "<string>",
"new_name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
new_parent_id: '<string>',
new_name: '<string>'
})
};
fetch('https://api.veryfront.com/providers/{provider}/files/{file_id}/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"path": "<string>",
"mime_type": "<string>",
"size": 123,
"is_folder": true,
"modified_at": "<string>",
"thumbnail": "<string>"
}{
"error": "<string>",
"connectUrl": "<string>"
}Move provider file
Moves or renames a file in an external storage provider.
POST
/
providers
/
{provider}
/
files
/
{file_id}
/
move
Move provider file
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
External storage provider identifier, such as onedrive, sharepoint, or google_drive.
Provider-specific file or folder identifier.
Body
application/json
Response
Moved file
Provider-specific file or folder ID.
File or folder name.
Provider path for the file or folder.
MIME type or folder for folders.
File size in bytes. Folders may report 0.
Whether this item is a folder.
Provider modified timestamp.
Optional provider thumbnail URL.
⌘I